package com.ruoyi.shipping.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 凯和附件对象 t_condition_accessory
 * 
 * @author ruoyi
 * @date 2021-04-01
 */
public class TConditionAccessory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long fId;

    /** 对应主表id */
    @Excel(name = "对应主表id")
    private Long fPid;

    /** 来源id */
    @Excel(name = "来源id")
    private Long fOrgId;

    /** 行号 */
    @Excel(name = "行号")
    private Long fLineno;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String fName;

    /** 附件描述 */
    @Excel(name = "附件描述")
    private String fDesc;

    /** 附件位置 */
    @Excel(name = "附件位置")
    private String fUrl;

    /** 状态，默认 T ,正常T 停用F 下拉选择 */
    @Excel(name = "状态，默认 T ,正常T 停用F 下拉选择")
    private String fStatus;

    /** 缩略图地址 */
    @Excel(name = "缩略图地址")
    private String fThumbnailUrl;

    /** 删除状态 */
    private String delFlag;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfPid(Long fPid) 
    {
        this.fPid = fPid;
    }

    public Long getfPid() 
    {
        return fPid;
    }
    public void setfOrgId(Long fOrgId) 
    {
        this.fOrgId = fOrgId;
    }

    public Long getfOrgId() 
    {
        return fOrgId;
    }
    public void setfLineno(Long fLineno) 
    {
        this.fLineno = fLineno;
    }

    public Long getfLineno() 
    {
        return fLineno;
    }
    public void setfName(String fName) 
    {
        this.fName = fName;
    }

    public String getfName() 
    {
        return fName;
    }
    public void setfDesc(String fDesc) 
    {
        this.fDesc = fDesc;
    }

    public String getfDesc() 
    {
        return fDesc;
    }
    public void setfUrl(String fUrl) 
    {
        this.fUrl = fUrl;
    }

    public String getfUrl() 
    {
        return fUrl;
    }
    public void setfStatus(String fStatus) 
    {
        this.fStatus = fStatus;
    }

    public String getfStatus() 
    {
        return fStatus;
    }
    public void setfThumbnailUrl(String fThumbnailUrl) 
    {
        this.fThumbnailUrl = fThumbnailUrl;
    }

    public String getfThumbnailUrl() 
    {
        return fThumbnailUrl;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fPid", getfPid())
            .append("fOrgId", getfOrgId())
            .append("fLineno", getfLineno())
            .append("fName", getfName())
            .append("fDesc", getfDesc())
            .append("fUrl", getfUrl())
            .append("fStatus", getfStatus())
            .append("fThumbnailUrl", getfThumbnailUrl())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
